hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Hofhansl (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-15059) Allow 0.94 to compile against Hadoop 2.7.x
Date Wed, 30 Dec 2015 23:50:49 GMT

    [ https://issues.apache.org/jira/browse/HBASE-15059?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15075526#comment-15075526
] 

Lars Hofhansl commented on HBASE-15059:
---------------------------------------

bq. Too big a change for point release. Will make it so can't run on hadoop 1s.

Agreed. The patch does this now:
* PB 2.4.0a is used by default.
* If -Dhadoop.profile=2.7 is specified then PB 2.5 and commons.io 2.4 will be pulled in as
dependencies
* When building for later Hadoops the user has to manually execute dev-support.build-proto.sh,
before building the rest of HBase

Would be nice to automate the last part via maven, but I think for 0.94 that might be overkill.


> Allow 0.94 to compile against Hadoop 2.7.x
> ------------------------------------------
>
>                 Key: HBASE-15059
>                 URL: https://issues.apache.org/jira/browse/HBASE-15059
>             Project: HBase
>          Issue Type: Bug
>            Reporter: Lars Hofhansl
>             Fix For: 0.94.28
>
>         Attachments: 15059-v2.txt, 15059.txt
>
>
> Currently HBase 0.94 cannot be compiled against Hadoop 2.7.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message